This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 653805 - Review Request: drupal6-ctools - This suite is primarily a set of APIs and tools to improve the developer experience.
Review Request: drupal6-ctools - This suite is primarily a set of APIs and to...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul W. Frields
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InsightReviews
  Show dependency treegraph
 
Reported: 2010-11-16 03:05 EST by Peter Borsa
Modified: 2011-11-24 21:08 EST (History)
7 users (show)

See Also:
Fixed In Version: drupal6-ctools-1.8-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-26 10:01:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
stickster: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Borsa 2010-11-16 03:05:42 EST
Spec URL: http://asrob.fedorapeople.org/drupal-ctools.spec
SRPM URL: http://asrob.fedorapeople.org/drupal-ctools-6.x.1.8-1.fc14.src.rpm
Description: This suite is primarily a set of APIs and tools to improve the developer experience.
It also contains a module called the Page Manager whose job is to manage pages.
In particular it manages panel pages, but as it grows it will be able to manage far more than just Panels.

This is my first package and I need a sponsor.
Comment 1 Peter Borsa 2010-11-18 17:02:00 EST
rpmlint output:

[asrob@alice SOURCES]$ rpmlint ../SRPMS/drupal-ctools-6.x.1.8-1.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[asrob@alice SOURCES]$ rpmlint drupal-ctools.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2609960
Watching tasks (this may be safely interrupted)...
2609960 build (dist-f14, drupal-ctools-6.x.1.8-1.fc14.src.rpm): open (x86-04.phx2.fedoraproject.org)
  2609963 buildArch (drupal-ctools-6.x.1.8-1.fc14.src.rpm, i386): open (x86-02.phx2.fedoraproject.org)
  2609963 buildArch (drupal-ctools-6.x.1.8-1.fc14.src.rpm, i386): open (x86-02.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2609960 build (dist-f14, drupal-ctools-6.x.1.8-1.fc14.src.rpm): open (x86-04.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2609960 build (dist-f14, drupal-ctools-6.x.1.8-1.fc14.src.rpm) completed successfully
Comment 2 Sven Lankes 2010-11-19 06:54:06 EST
Please change the name to drupal6-ctools and the version to 1.8

Letters in version strings are forbidden - we're changing all existing drupal 
modules to also follow the new versioning as discussed on fedora-logistics a 
couple of weeks ago.
Comment 3 Peter Borsa 2010-11-19 10:23:50 EST
(In reply to comment #2)
> Please change the name to drupal6-ctools and the version to 1.8
> 
> Letters in version strings are forbidden - we're changing all existing drupal 
> modules to also follow the new versioning as discussed on fedora-logistics a 
> couple of weeks ago.

I have updated the spec file and the source rpm file.

rpmlint output:

[asrob@borsa-desktop SPECS]$ rpmlint drupal-ctools.spec ../SRPMS/drupal-ctools-1.8-1.fc14.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2611289
Watching tasks (this may be safely interrupted)...
2611289 build (dist-f14, drupal-ctools-1.8-1.fc14.src.rpm): free
2611289 build (dist-f14, drupal-ctools-1.8-1.fc14.src.rpm): free -> open (ppc09.phx2.fedoraproject.org)
  2611290 buildArch (drupal-ctools-1.8-1.fc14.src.rpm, i386): open (x86-14.phx2.fedoraproject.org)
  2611290 buildArch (drupal-ctools-1.8-1.fc14.src.rpm, i386): open (x86-14.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2611289 build (dist-f14, drupal-ctools-1.8-1.fc14.src.rpm): open (ppc09.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2611289 build (dist-f14, drupal-ctools-1.8-1.fc14.src.rpm) completed successfully
Comment 4 Peter Borsa 2010-11-19 10:33:49 EST
Oops, I didn't fix completely, sorry for that.

http://asrob.fedorapeople.org/drupal6-ctools.spec
http://asrob.fedorapeople.org/drupal6-ctools-1.8-1.fc14.src.rpm

rpmlint output:

[asrob@borsa-desktop SPECS]$ rpmlint drupal6-ctools.spec ../SRPMS/drupal6-ctools-1.8-1.fc14.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2611327
Watching tasks (this may be safely interrupted)...
2611327 build (dist-f14, drupal6-ctools-1.8-1.fc14.src.rpm): free
2611327 build (dist-f14, drupal6-ctools-1.8-1.fc14.src.rpm): free -> open (x86-07.phx2.fedoraproject.org)
  2611328 buildArch (drupal6-ctools-1.8-1.fc14.src.rpm, i386): free
  2611328 buildArch (drupal6-ctools-1.8-1.fc14.src.rpm, i386): free -> open (x86-12.phx2.fedoraproject.org)
  2611328 buildArch (drupal6-ctools-1.8-1.fc14.src.rpm, i386): open (x86-12.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2611327 build (dist-f14, drupal6-ctools-1.8-1.fc14.src.rpm): open (x86-07.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2611327 build (dist-f14, drupal6-ctools-1.8-1.fc14.src.rpm) completed successfully
Comment 5 Nick Bebout 2010-11-21 14:01:15 EST
I've sponsored asrob so I'm unblocking FE-NEEDSPONSOR
Comment 6 Peter Borsa 2010-11-21 15:35:25 EST
New Package SCM Request
=======================
Package Name: drupal6-ctools
Short Description: This suite is primarily a set of APIs and tools.
Owners: asrob
Branches: f14
InitialCC:
Comment 7 Jason Tibbitts 2010-11-22 09:01:37 EST
I see no approval for this package, nor is anyone signed up to review it.  Why are you making an SCM request?
Comment 8 Peter Borsa 2010-11-22 09:19:34 EST
Sorry for that. I didn't understand SCM Request. I have read it completely, I think I understand it now.
Comment 9 Paul W. Frields 2010-11-30 15:32:06 EST
Minor problems noted but should be fixed:

* Summary and Description fields both seem to be wrong here.  Summary should be more meaningful; Description should be complete.  Recommend using text from the project site.

I'd rename the Fedora specific README to be less lengthy/redundant.  README.fedora works fine elsewhere, should be OK here too.
Comment 10 Paul W. Frields 2010-11-30 15:32:45 EST
I think Toshio has noted elsewhere that the %define at top should be a %global instead.
Comment 11 Peter Borsa 2010-12-01 12:46:02 EST
Updated files:

http://asrob.fedorapeople.org/SOURCES/drupal6-ctools.spec
http://asrob.fedorapeople.org/SOURCES/drupal6-ctools-1.8-1.fc14.src.rpm

rpmlint output:

[asrob@alice SPECS]$ rpmlint drupal6-ctools.spec ../SRPMS/drupal6-ctools-1.8-1.fc14.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2637462
Watching tasks (this may be safely interrupted)...
2637462 build (dist-f14, drupal6-ctools-1.8-1.fc14.src.rpm): open (x86-19.phx2.fedoraproject.org)
  2637463 buildArch (drupal6-ctools-1.8-1.fc14.src.rpm, noarch): free
  2637463 buildArch (drupal6-ctools-1.8-1.fc14.src.rpm, noarch): free -> open (x86-12.phx2.fedoraproject.org)
  2637463 buildArch (drupal6-ctools-1.8-1.fc14.src.rpm, noarch): open (x86-12.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2637462 build (dist-f14, drupal6-ctools-1.8-1.fc14.src.rpm): open (x86-19.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2637462 build (dist-f14, drupal6-ctools-1.8-1.fc14.src.rpm) completed successfully
Comment 12 Paul W. Frields 2010-12-10 15:59:05 EST
I don't see how your rpmlint output came out the way it did.

$ rpmlint rpmbuild/SPECS/drupal6-ctools.spec rpmbuild/SRPMS/drupal6-ctools-1.8-1.fc14.src.rpm rpmbuild/RPMS/noarch/drupal6-ctools-1.8-1.fc14.noarch.rpm 
drupal6-ctools.noarch: W: incoherent-version-in-changelog 1.8 ['1.8-1.fc14', '1.8-1']
drupal6-ctools.noarch: E: zero-length /usr/share/drupal/modules/ctools/stylizer/help/base-styles.html
drupal6-ctools.noarch: E: zero-length /usr/share/drupal/modules/ctools/views_content/views_content.admin.inc
drupal6-ctools.noarch: E: zero-length /usr/share/drupal/modules/ctools/stylizer/help/stylizer.help.ini
drupal6-ctools.noarch: E: zero-length /usr/share/drupal/modules/ctools/plugins/access/node.inc
drupal6-ctools.noarch: E: zero-length /usr/share/drupal/modules/ctools/stylizer/help/base-style-types.html
2 packages and 1 specfiles checked; 5 errors, 1 warnings.


* Please correct the version in your %changelog entry. I recommend using an rpm spec-aware editor's built-in functions when you're editing spec files (I think vim does this well, I know Emacs does).
* Are these zero-length files required, or will ctools work without them?
Comment 13 Peter Borsa 2010-12-19 08:05:01 EST
Updated files:

http://asrob.fedorapeople.org/SOURCES/drupal6-ctools.spec
http://asrob.fedorapeople.org/SOURCES/drupal6-ctools-1.8-1.fc14.src.rpm

rpmlint output:

[asrob@alice SPECS]$ rpmlint drupal6-ctools.spec ../SRPMS/drupal6-ctools-1.8-1.fc14.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2675863
Watching tasks (this may be safely interrupted)...
2675863 build (dist-f14, drupal6-ctools-1.8-1.fc14.src.rpm): open (ppc08.phx2.fedoraproject.org)
  2675864 buildArch (drupal6-ctools-1.8-1.fc14.src.rpm, noarch): free
  2675864 buildArch (drupal6-ctools-1.8-1.fc14.src.rpm, noarch): free -> open (x86-11.phx2.fedoraproject.org)
  2675864 buildArch (drupal6-ctools-1.8-1.fc14.src.rpm, noarch): open (x86-11.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2675863 build (dist-f14, drupal6-ctools-1.8-1.fc14.src.rpm): open (ppc08.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2675863 build (dist-f14, drupal6-ctools-1.8-1.fc14.src.rpm) completed successfully
Comment 14 Paul W. Frields 2010-12-23 10:56:11 EST
$ rpmlint rpmbuild/SPECS/drupal6-ctools.spec rpmbuild/SRPMS/drupal6-ctools-1.8-1.fc14.src.rpm rpmbuild/RPMS/noarch/drupal6-ctools-1.8-1.fc14.noarch.rpm 
drupal6-ctools.noarch: E: zero-length /usr/share/drupal6/modules/ctools/stylizer/help/stylizer.help.ini
drupal6-ctools.noarch: E: zero-length /usr/share/drupal6/modules/ctools/plugins/access/node.inc
drupal6-ctools.noarch: E: zero-length /usr/share/drupal6/modules/ctools/views_content/views_content.admin.inc
drupal6-ctools.noarch: E: zero-length /usr/share/drupal6/modules/ctools/stylizer/help/base-styles.html
drupal6-ctools.noarch: E: zero-length /usr/share/drupal6/modules/ctools/stylizer/help/base-style-types.html
2 packages and 1 specfiles checked; 5 errors, 0 warnings.


Once again, you need to run rpmlint on all three components -- the specfile, the SRPM, and the built RPM.

Please correct the zero-length errors here.
http://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Zero_length_files
Comment 15 Peter Borsa 2011-01-13 05:53:56 EST
Updated files:

http://asrob.fedorapeople.org/SOURCES/drupal6-ctools.spec
http://asrob.fedorapeople.org/SOURCES/drupal6-ctools-1.8-2.fc14.src.rpm

rpmlint output:

[asrob@alice SPECS]$ rpmlint drupal6-ctools.spec ../SRPMS/drupal6-ctools-1.8-2.fc14.src.rpm ../RPMS/noarch/drupal6-ctools-1.8-2.fc14.noarch.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2718750
Watching tasks (this may be safely interrupted)...
2718750 build (dist-f14, drupal6-ctools-1.8-2.fc14.src.rpm): free
2718750 build (dist-f14, drupal6-ctools-1.8-2.fc14.src.rpm): free -> open (ppc10.phx2.fedoraproject.org)
  2718751 buildArch (drupal6-ctools-1.8-2.fc14.src.rpm, noarch): open (x86-13.phx2.fedoraproject.org)
  2718751 buildArch (drupal6-ctools-1.8-2.fc14.src.rpm, noarch): open (x86-13.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2718750 build (dist-f14, drupal6-ctools-1.8-2.fc14.src.rpm): open (ppc10.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2718750 build (dist-f14, drupal6-ctools-1.8-2.fc14.src.rpm) completed successfully
Comment 16 Volker Fröhlich 2011-01-18 09:06:05 EST
Please correct the license to GPLv2+, as all modules hosted in Drupal's CVS must be.
Comment 18 Paul W. Frields 2011-01-19 19:46:33 EST
[ O K ] MUST: rpmlint must be run on every package. The output should be posted
in the review.

$ rpmlint rpmbuild/SPECS/drupal6-ctools.spec rpmbuild/SRPMS/drupal6-ctools-1.8-3.fc14.src.rpm rpmbuild/RPMS/noarch/drupal6-ctools-1.8-3.fc14.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

[ O K ] MUST: The package must be named according to the Package Naming
Guidelines.

[ O K ] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.

[ O K ] MUST: The package must meet the Packaging Guidelines.

[ O K ] MUST: The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines.

[ O K ] MUST: The License field in the package spec file must match the actual
license. 

[ O K ] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

[ O K ] MUST: The spec file must be written in American English. 

[ O K ] MUST: The spec file for the package MUST be legible. 

[ O K ] MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

$ md5sum rpmbuild/SOURCES/drupal6-ctools-1.8/ctools-6.x-1.8.tar.gz ; curl -s -o - http://ftp.drupal.org/files/projects/ctools-6.x-1.8.tar.gz | md5sum -
d05eae72c6c93a9e8a4aeba9da5c20c6  rpmbuild/SOURCES/drupal6-ctools-1.8/ctools-6.x-1.8.tar.gz
d05eae72c6c93a9e8a4aeba9da5c20c6  -

[ O K ] MUST: The package MUST successfully compile and build into binary rpms
on at least one primary architecture. 

[ N/A ] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line. 

[ O K ] MUST: All build dependencies must be listed in BuildRequires, except
for any that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

[ O K ] MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[ N/A ] MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun. 

[ O K ] MUST: Packages must NOT bundle copies of system libraries.

[ N/A ] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker. 

[ O K ] MUST: A package must own all directories that it creates. If it does
not create a directory that it uses, then it should require a package which
does create that directory. 

[ O K ] MUST: A Fedora package must not list a file more than once in the spec
file's %files listings. (Notable exception: license texts in specific
situations)

[ O K ] MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line. 

[ O K ] MUST: Each package must consistently use macros. 

[ O K ] MUST: The package must contain code, or permissable content. 

[ N/A ] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity). 

[ O K ] MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must
run properly if it is not present. 

[ N/A ] MUST: Header files must be in a -devel package. 

[ N/A ] MUST: Static libraries must be in a -static package. 

[ N/A ] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package. 

[ N/A ] MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 

[ O K ] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.

[ O K ] MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation. 

[ O K ] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time. 

[ O K ] MUST: All filenames in rpm packages must be valid UTF-8.

Installs cleanly and appears to run properly.  Tested some provided demo content.
APPROVED.
Comment 19 Peter Borsa 2011-01-20 02:11:43 EST
New Package SCM Request
=======================
Package Name: drupal6-ctools
Short Description: This suite is primarily a set of APIs and tools to improve the developer experience.
Owners: asrob
Branches: f14 el5 el6
InitialCC:
Comment 20 Jason Tibbitts 2011-01-25 18:40:59 EST
Git done (by process-git-requests).
Comment 21 Fedora Update System 2011-01-26 10:09:30 EST
drupal6-ctools-1.8-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/drupal6-ctools-1.8-4.fc14
Comment 22 Fedora Update System 2011-01-26 10:21:36 EST
drupal6-ctools-1.8-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-ctools-1.8-4.el5
Comment 23 Fedora Update System 2011-01-26 10:30:47 EST
drupal6-ctools-1.8-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-ctools-1.8-4.el6
Comment 24 Fedora Update System 2011-01-28 05:52:43 EST
drupal6-ctools-1.8-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-ctools-1.8-6.el6
Comment 25 Fedora Update System 2011-03-28 13:27:27 EDT
drupal6-ctools-1.8-6.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 26 Fedora Update System 2011-11-24 21:08:34 EST
drupal6-ctools-1.8-4.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.